Bug 36372 - GM965/GL960 Failing on Debian testing since the upgrade to Linux 2.6.38
Summary: GM965/GL960 Failing on Debian testing since the upgrade to Linux 2.6.38
Status: CLOSED NOTOURBUG
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Chris Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-18 15:47 UTC by Jaime Alberto Silva
Modified: 2017-07-24 23:05 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Information by Debian's reportbug on package xserver-xorg-video-intel (50.25 KB, application/octet-stream)
2011-04-18 15:47 UTC, Jaime Alberto Silva
no flags Details
KWin Desktop Effects configuration (88.61 KB, image/png)
2011-04-19 06:19 UTC, Jaime Alberto Silva
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaime Alberto Silva 2011-04-18 15:47:37 UTC
Created attachment 45791 [details]
Information by Debian's reportbug on package xserver-xorg-video-intel

* I'm tagging this as "critical" since it has caused me loss of work and data multiple times. *

Since the upgrade to Linux 2.6.38 am experiencing crashes on my laptops video.

First the screen was completely frozen and I had to reboot the system as was reported on http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=620480#10

After that I upgraded my xserver-xorg-video-intel package to the latest version available on Debian's unstable (sid) repositories.

Now the X Server is not freezing but still crashes and the display manager is restarted (KDM).

Most of the time this happens when I lock the screen, I suspect is because of OpenGL screen-savers.

Recently it happened when I put a video from http://www.jupiterbroadcasting.com on full screen, they use Flash for video viewing.

After the last crash I looked at the file /var/log/Xorg.0.log.old and found this at the end:

[ 10217.776] (**) Broadcom Corp: (accel) acceleration threshold: 4
[ 10217.776] (II) Broadcom Corp: initialized for relative axes.
[ 10217.778] (II) config/udev: Adding input device Broadcom Corp (/dev/input/mouse0)
[ 10217.778] (II) No input driver/identifier specified (ignoring)
[ 24262.177] 
Backtrace:
[ 24262.249] 0: /usr/bin/X (xorg_backtrace+0x28) [0x4aacc8]
[ 24262.250] 1: /usr/bin/X (0x400000+0x61e59) [0x461e59]
[ 24262.250] 2: /lib/libpthread.so.0 (0x7fe5cb3a4000+0xef60) [0x7fe5cb3b2f60]
[ 24262.250] 3: /usr/lib/dri/i965_dri.so (0x7fe5c76e3000+0x81522) [0x7fe5c7764522]
[ 24262.250] 4: /usr/lib/dri/i965_dri.so (0x7fe5c76e3000+0x6bef6) [0x7fe5c774eef6]
[ 24262.250] 5: /usr/lib/dri/i965_dri.so (0x7fe5c76e3000+0x5c0ea) [0x7fe5c773f0ea]
[ 24262.250] 6: /usr/lib/dri/i965_dri.so (0x7fe5c76e3000+0x13892e) [0x7fe5c781b92e]
[ 24262.250] 7: /usr/lib/dri/i965_dri.so (0x7fe5c76e3000+0x135c8c) [0x7fe5c7818c8c]
[ 24262.250] 8: /usr/lib/dri/i965_dri.so (0x7fe5c76e3000+0x135cda) [0x7fe5c7818cda]
[ 24262.250] 9: /usr/lib/dri/i965_dri.so (0x7fe5c76e3000+0x20a81e) [0x7fe5c78ed81e]
[ 24262.250] 10: /usr/lib/xorg/modules/extensions/libglx.so (0x7fe5c8b5b000+0x32563) [0x7fe5c8b8d563]
[ 24262.250] 11: /usr/lib/xorg/modules/extensions/libglx.so (0x7fe5c8b5b000+0x368a2) [0x7fe5c8b918a2]
[ 24262.250] 12: /usr/bin/X (0x400000+0x48909) [0x448909]
[ 24262.250] 13: /usr/bin/X (0x400000+0x257ab) [0x4257ab]
[ 24262.250] 14: /lib/libc.so.6 (__libc_start_main+0xfd) [0x7fe5ca107c4d]
[ 24262.250] 15: /usr/bin/X (0x400000+0x25339) [0x425339]
[ 24262.250] Segmentation fault at address (nil)
[ 24262.250] 
Fatal server error:
[ 24262.250] Caught signal 11 (Segmentation fault). Server aborting
[ 24262.250] 
[ 24262.250] 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[ 24262.250] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 24262.250] 
[ 24262.268] (II) Video Bus: Close
[ 24262.268] (II) UnloadModule: "evdev"
[ 24262.292] (II) Power Button: Close
[ 24262.292] (II) UnloadModule: "evdev"
[ 24262.295] (II) Sleep Button: Close
[ 24262.295] (II) UnloadModule: "evdev"
[ 24262.296] (II) AT Translated Set 2 keyboard: Close
[ 24262.296] (II) UnloadModule: "evdev"
[ 24262.297] (II) PS/2 Mouse: Close
[ 24262.297] (II) UnloadModule: "evdev"
[ 24262.334] (II) UnloadModule: "synaptics"
[ 24262.334] (II) Dell WMI hotkeys: Close
[ 24262.334] (II) UnloadModule: "evdev"
[ 24262.334] (II) Laptop Integrated Webcam: Close
[ 24262.334] (II) UnloadModule: "evdev"
[ 24262.336] (II) Broadcom Corp: Close
[ 24262.336] (II) UnloadModule: "evdev"
[ 24262.340] (II) Broadcom Corp: Close
[ 24262.341] (II) UnloadModule: "evdev"
[ 24262.341] (II) AIGLX: Suspending AIGLX clients for VT switch

I am attaching the information produced by Debian's reportbug on package xserver-xorg-video-intel. It contains information about the video card, kernel, and system in general.

Thanks a lot for all the effort you put on making this drivers work!
Comment 1 Chris Wilson 2011-04-18 23:28:59 UTC
Jaime, can you please install the libgl1-mesa-dri-dbg symbols and do a:

addr2line -e /usr/lib/dri/i965_dri.so 0x81522

to find out which line triggered the segfault.

Also note that you are using indirect rendering on the localhost, this is often undesired for the awful performance and loss of functionality.
Comment 2 Jaime Alberto Silva 2011-04-19 04:54:08 UTC
(In reply to comment #1)
> Jaime, can you please install the libgl1-mesa-dri-dbg symbols and do a:
> 
> addr2line -e /usr/lib/dri/i965_dri.so 0x81522
> 
> to find out which line triggered the segfault.

jaime@inspironjaime2:~$ addr2line -e /usr/lib/dri/i965_dri.so 0x81522
/build/kibi-mesa_7.10-4-amd64-zkzzzf/mesa-7.10/build/dri/src/mesa/drivers/dri/i965/brw_wm_surface_state.c:602

> 
> Also note that you are using indirect rendering on the localhost, this is often
> undesired for the awful performance and loss of functionality.

According to glxinfo I'm using direct rendering. 
Am I reading it wrong? 
How else can I know direct rendering is not enabled? 
or How do you know? 
and most important: How can I fix it?

Here is the output of glxinfo:

jaime@inspironjaime2:~$ glxinfo 
name of display: :0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_INTEL_swap_event
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,                        
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap,                        
    GLX_INTEL_swap_event                                                              
GLX version: 1.4                                                                      
GLX extensions:                                                                       
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,            
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer,             
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control,                 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync,              
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap, 
    GLX_INTEL_swap_event
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) 965GM GEM 20100330 DEVELOPMENT 
OpenGL version string: 2.1 Mesa 7.10
OpenGL shading language version string: 1.20
OpenGL extensions:
    GL_ARB_copy_buffer, GL_ARB_depth_clamp, GL_ARB_depth_texture, 
    GL_ARB_draw_buffers, GL_ARB_draw_elements_base_vertex, 
    GL_ARB_explicit_attrib_location, GL_ARB_fragment_coord_conventions, 
    GL_ARB_fragment_program, GL_ARB_fragment_program_shadow, 
    GL_ARB_fragment_shader, GL_ARB_framebuffer_object, 
    GL_ARB_half_float_pixel, GL_ARB_half_float_vertex, 
    GL_ARB_map_buffer_range, GL_ARB_multisample, GL_ARB_multitexture, 
    GL_ARB_occlusion_query, GL_ARB_pixel_buffer_object, 
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_provoking_vertex, 
    GL_ARB_seamless_cube_map, GL_ARB_shader_objects, 
    GL_ARB_shading_language_100, GL_ARB_shadow, GL_ARB_sync, 
    GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle, 
    GL_ARB_texture_rg, GL_ARB_texture_swizzle, GL_ARB_transpose_matrix, 
    GL_ARB_vertex_array_bgra, GL_ARB_vertex_array_object, 
    GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_vertex_shader, 
    GL_ARB_window_pos, GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
    GL_EXT_blend_logic_op, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_compiled_vertex_array, GL_EXT_copy_texture, GL_EXT_draw_buffers2, 
    GL_EXT_draw_range_elements, GL_EXT_framebuffer_blit, 
    GL_EXT_framebuffer_multisample, GL_EXT_framebuffer_object, 
    GL_EXT_fog_coord, GL_EXT_gpu_program_parameters, GL_EXT_multi_draw_arrays, 
    GL_EXT_packed_depth_stencil, GL_EXT_packed_pixels, 
    GL_EXT_pixel_buffer_object, GL_EXT_point_parameters, 
    GL_EXT_polygon_offset, GL_EXT_provoking_vertex, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_shader_objects, 
    GL_EXT_separate_specular_color, GL_EXT_shadow_funcs, 
    GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, GL_EXT_subtexture, 
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_cube_map, 
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_lod_bias, 
    GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_texture_sRGB, 
    GL_EXT_texture_swizzle, GL_EXT_vertex_array, GL_EXT_vertex_array_bgra, 
    GL_3DFX_texture_compression_FXT1, GL_APPLE_client_storage, 
    GL_APPLE_packed_pixels, GL_APPLE_vertex_array_object, 
    GL_APPLE_object_purgeable, GL_ATI_blend_equation_separate, 
    GL_ATI_envmap_bumpmap, GL_ATI_texture_env_combine3, 
    GL_ATI_separate_stencil, GL_IBM_multimode_draw_arrays, 
    GL_IBM_rasterpos_clip, GL_IBM_texture_mirrored_repeat, 
    GL_INGR_blend_func_separate, GL_MESA_pack_invert, 
    GL_MESA_texture_signed_rgba, GL_MESA_ycbcr_texture, GL_MESA_window_pos, 
    GL_NV_blend_square, GL_NV_depth_clamp, GL_NV_light_max_exponent, 
    GL_NV_packed_depth_stencil, GL_NV_texgen_reflection, 
    GL_NV_texture_env_combine4, GL_NV_texture_rectangle, GL_NV_vertex_program, 
    GL_NV_vertex_program1_1, GL_OES_read_format, GL_SGIS_generate_mipmap, 
    GL_SGIS_texture_border_clamp, GL_SGIS_texture_edge_clamp, 
    GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays, GL_OES_EGL_image

32 GLX Visuals
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x021 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x022 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x092 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x093 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x094 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x095 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x096 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x097 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x098 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x099 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x09a 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x09b 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x09c 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x09d 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x09e 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x09f 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0a0 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0a1 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0a2 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0a3 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0a4 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0a5 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0a6 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0a7 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0a8 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0a9 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0aa 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0ab 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0ac 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0ad 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0ae 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x061 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None

48 GLXFBConfigs:
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x062  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x063  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x064  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x065  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x066  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x067  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x068 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x069 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x06a 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x06b 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x06c 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x06d 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x06e 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x06f 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x070 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x071 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x072 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x073 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x074  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x075  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x076 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x077 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x078 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x079 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x07a  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x07b  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x07c  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x07d  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x07e  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x07f  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x080 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x081 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x082 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x083 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x084 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x085 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x086 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x087 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x088 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x089 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x08a 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x08b 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x08c  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x08d  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x08e 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x08f 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x090 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x091 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow

jaime@inspironjaime2:~$
Comment 3 Chris Wilson 2011-04-19 05:56:24 UTC
I should have noticed KDE from the start. You've hit the KDE memory leak which leads to a segfault due to an unchecked allocation failure; fixed in master.

Beyond a doubt, kwin is using indirect rendering (as that is the path that crashed the xserver) and as it seems your system is not misconfigured (i.e. glxinfo is sane), kwin is *requesting* indirect rendering.
Comment 4 Jaime Alberto Silva 2011-04-19 06:19:12 UTC
Created attachment 45815 [details]
KWin Desktop Effects configuration

According to KWin configuration Direct Rendering is being used.
Comment 5 Chris Wilson 2011-04-19 06:24:46 UTC
The stacktrace says otherwise. At least one app on your system is using AIGLX (i.e. indirect rendering), and your system has a resource leak causing an allocation failure. Then mesa-7.10 dies due to insufficient defence.
Comment 6 Jaime Alberto Silva 2011-04-19 06:26:53 UTC
(In reply to comment #3)
> I should have noticed KDE from the start. You've hit the KDE memory leak which
> leads to a segfault due to an unchecked allocation failure; fixed in master.
> 
> Beyond a doubt, kwin is using indirect rendering (as that is the path that
> crashed the xserver) and as it seems your system is not misconfigured (i.e.
> glxinfo is sane), kwin is *requesting* indirect rendering.

So all I have to do is wait for the next version of KWin to reach Debian
unstable?

I added an attachment (comment #4) showing current KWin's desktop effects
settings, it says direct rendering is enabled, so is all this a KWin bug?

Is all this currently fixed on newest KWin versions or should I report it to
KDE?

Thanks.
Comment 7 Jesse Barnes 2011-06-08 11:02:26 UTC
sounds like a server bug that may already be fixed (either by kwin using direct rendering and/or the server bug getting fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.